Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.synchronization
Class EntityChangeNotifier

    java.lang.Object
      org.hibernate.envers.synchronization.EntityChangeNotifier

    public class EntityChangeNotifier

extends Object

Notifies `RevisionInfoGenerator` about changes made in the current revision.

Constructor Summary
`EntityChangeNotifier(RevisionInfoGenerator revisionInfoGenerator, SessionImplementor sessionImplementor)`

Method Summary
`void` | `entityChanged(Session session, Object currentRevisionData, AuditWorkUnit vwu)` Notifies `RevisionInfoGenerator` about changes made in the current revision.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityChangeNotifier

    public EntityChangeNotifier(RevisionInfoGenerator revisionInfoGenerator,
                                SessionImplementor sessionImplementor)

Method Detail

### entityChanged

    public void entityChanged(Session session,
                              Object currentRevisionData,
                              AuditWorkUnit vwu)

  Notifies `RevisionInfoGenerator` about changes made in the current revision. Provides information about modified entity class, entity name and its id, as well as `RevisionType` and revision log entity.

  Parameters:
    `session` - Active session.
    `currentRevisionData` - Revision log entity.
    `vwu` - Performed work unit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.